import { html as l } from "lit";
import { property as a } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var g = Object.defineProperty, m = Object.getOwnPropertyDescriptor, n = (i, t, o, r) => {
  for (var e = r > 1 ? void 0 : r ? m(t, o) : t, p = i.length - 1, c; p >= 0; p--)
    (c = i[p]) && (e = (r ? c(t, o, e) : c(e)) || e);
  return r && e && g(t, o, e), e;
};
let s = class extends h {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--percentage", this.class = "c-pieIcon c-pieIcon--percentage", this.name = "IconPercentage";
  }
  render() {
    return l`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--percentage"><path d="M10.835 2.75 3.58 13.25h1.593l7.262-10.5h-1.601Z"></path><path d="M12.375 7.869a2.625 2.625 0 0 0-2.625 2.756 2.625 2.625 0 0 0 5.25 0 2.625 2.625 0 0 0-2.625-2.756Zm0 4.2a1.313 1.313 0 0 1-1.348-1.444 1.313 1.313 0 0 1 2.625 0 1.313 1.313 0 0 1-1.277 1.444Z"></path><path d="M6.197 5.375a2.625 2.625 0 0 0-2.572-2.756A2.625 2.625 0 0 0 1 5.375a2.625 2.625 0 0 0 2.625 2.756 2.625 2.625 0 0 0 2.572-2.756Zm-3.92 0a1.313 1.313 0 1 1 2.625 0 1.313 1.313 0 0 1-2.625 0Z"></path></svg>`;
  }
};
n([
  a({ type: String, reflect: !0 })
], s.prototype, "size", 2);
n([
  a({ type: String, reflect: !0 })
], s.prototype, "class", 2);
s = n([
  f("icon-percentage")
], s);
export {
  s as IconPercentage
};
